Package com.google.android.exoplayer2.source.dash.manifest

## Class EventStream

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.EventStream

-     public final class EventStream
      extends Object

  A DASH in-MPD EventStream element, as defined by ISO/IEC 23009-1, 2nd edition, section 5.10.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `EventMessage[]` | `events` | `EventMessage`s in the event stream.
    `long[]` | `presentationTimesUs` | Presentation time of the events in microsecond, sorted in ascending order.
    `String` | `schemeIdUri` | The scheme URI.
    `long` | `timescale` | The timescale in units per seconds, as defined in the manifest.
    `String` | `value` | The value of the event stream.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventStream​(String schemeIdUri, String value, long timescale, long[] presentationTimesUs, EventMessage[] events)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `id()` | A constructed id of this `EventStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### events

          public final EventMessage[] events

      `EventMessage`s in the event stream.

    - #### presentationTimesUs

          public final long[] presentationTimesUs

      Presentation time of the events in microsecond, sorted in ascending order.

    - #### schemeIdUri

          public final String schemeIdUri

      The scheme URI.

    - #### value

          public final String value

      The value of the event stream. Use empty string if not defined in manifest.

    - #### timescale

          public final long timescale

      The timescale in units per seconds, as defined in the manifest.

  - ### Constructor Detail

    - #### EventStream

          public EventStream​(String schemeIdUri,
                             String value,
                             long timescale,
                             long[] presentationTimesUs,
                             EventMessage[] events)

  - ### Method Detail

    - #### id

          public String id()

      A constructed id of this `EventStream`. Equal to `schemeIdUri + "/" + value`.